Get Metadata
curl --request GET \
--url https://api.inprocess.world/api/metadataimport requests
url = "https://api.inprocess.world/api/metadata"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.inprocess.world/api/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Screenshot",
"description": "",
"image": "ar://gV14eh4vlzv1uVXLqFurgbpf9NXZqFSMxRBk2uO3J5o",
"external_url": "",
"animation_url": "ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30",
"content": {
"mime": "image/jpeg",
"uri": "ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30"
}
}Media
Get Metadata
Proxy requests to fetch JSON metadata from IPFS or Arweave URIs.
GET
/
metadata
Get Metadata
This endpoint is public and does not require authentication.
Example Usage
curl "https://api.inprocess.world/api/metadata?uri=ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30"
curl "https://api.inprocess.world/api/metadata?uri=ipfs://bafybeig..."
Example Response
{
"name": "Screenshot",
"description": "",
"image": "ar://gV14eh4vlzv1uVXLqFurgbpf9NXZqFSMxRBk2uO3J5o",
"external_url": "",
"animation_url": "ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30",
"content": {
"mime": "image/jpeg",
"uri": "ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30"
}
}
Query Parameters
The URI of the metadata to fetch. Supports IPFS (ipfs://) and Arweave (ar://) URIs.
Response
Metadata JSON returned successfully
Name of the token or asset
Example:
"Screenshot"
Description of the token or asset
Example:
""
Arweave or IPFS URI of the asset image
Example:
"ar://gV14eh4vlzv1uVXLqFurgbpf9NXZqFSMxRBk2uO3J5o"
External URL for the asset
Example:
""
Arweave or IPFS URI of the animation or media file
Example:
"ar://TV4yYVYJ7mwsDZ19h_YNQBtRbLVIr_WITsrBnHxxW30"
Content metadata for the asset media
Show child attributes
Show child attributes